# Class WindowInstanceService

#### Implements

- OnDestroy

- Defined in packages/angular/window-system/src/lib/window-instance.service.ts:16

#####
Index

### Constructors

constructor

### Properties

loading$

### Methods

attachLoading
ngOnDestroy

##
Constructors

### constructor

- new WindowInstanceService(): WindowInstanceService

  #### Returns WindowInstanceService

##
Properties

### `Readonly` loading$

loading$: ToggleSubject = ...

- Defined in packages/angular/window-system/src/lib/window-instance.service.ts:18

##
Methods

### attachLoading

- attachLoading(loading$: Observable<any>): void

  #### Parameters

  - loading$: Observable<any>

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-instance.service.ts:22

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/window-system/src/lib/window-instance.service.ts:28